Page MenuHomePhabricator

Consolidate changeset rendering logic
ClosedPublic

Authored by epriestley on May 25 2014, 2:20 PM.

Details

Summary

Ref T5179. Currently, all the changeset rendering logic is in the "populate" behavior, and a lot of it comes in via configuration and is hard to get at.

Instead, surface an object which can control it, and which other behaviors can access more easily.

In particular, this allows us to add a "Load/Reload" item to the view options menu, which would previously have been very challenging.

Load/Reload isn't useful on its own, but is a step away from "Show whitespace as...", "Highlight as...", "Show tabtops as...", "View Unified", "View Side-By-Side", etc.

Test Plan
  • Viewed Differential.
  • Viewed Diffusion.
  • Viewed large changesets, clicked "Load".
  • Used "Load" and "Reload" from view options menu.
  • Loaded all changes in a large diff, verified "Load" and TOC clicks take precedence over other content loads.
  • Played with content stability stuff.

Diff Detail

Repository
rP Phabricator
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

epriestley updated this revision to Diff 22051.May 25 2014, 2:20 PM
epriestley retitled this revision from to Consolidate changeset rendering logic.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
btrahan accepted this revision.Jun 3 2014, 10:10 PM
btrahan edited edge metadata.
This revision is now accepted and ready to land.Jun 3 2014, 10:10 PM
epriestley closed this revision.Jun 4 2014, 1:03 AM
epriestley updated this revision to Diff 22325.

Closed by commit rP7d0d6fbcf2e4 (authored by @epriestley).